/*
** Module   : Settable.java
** Abstract : Interface which describes frame initialization methods.
**
** Copyright (c) 2005-2015, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- -T- --JPRM-- ----------------Description-----------------
** 001 NVS 20060109 NEW  @23846  Created initial version
** 002 SIY 20061225 CHG  @31744  Renamed setUp() to setup().
** 003 VIG 20141129 VIG          Added generic type - container type.
*/

package com.goldencode.p2j.ui;

/**
 * Interface <code>Settable</code> describes a single container initialization
 * method.
 * 
 * @param   F 
 *          container class
 * 
 * @author  NVS
 * @version 1.0.0
 */
public interface Settable<F>
{
   /**
    * Sets the frame up.
    * 
    * @param  frame
    *         instance of <code>CommonFrame</code>
    */
   public void setup(F frame);
}

